/*
    Project: TCGINA
    Version: V1.25
    File   : mediumdlg.h

    Copyright (c) 2005-2008 Author of TCGINA DLL. All rights reserved.
    Public Key Fingerprint: 294B A769 4A0A CC05 DAE6 00DD FF47 8C72 4097 67CE

    Covered by TrueCrypt License 2.3 the full text of which is contained
    in the file License.txt included in TCGINA binary and source code
    distribution archives.

    The copyright notice of this source code file and the public key
    fingerprint must be retained in full.
*/

#ifndef __MEDIUMDLG_H_D47DF546F16B490bA6D8523603A5594D
#define __MEDIUMDLG_H_D47DF546F16B490bA6D8523603A5594D

#include "mediumdlgrc.h"

typedef BOOL (CALLBACK * MEDIUM_DIALOG_CALLBACK)(VOID *);

typedef struct
{
    LPCTSTR pszCaption;
    LPCTSTR pszText;
    DWORD   dwTimeout;
    MEDIUM_DIALOG_CALLBACK pfMediumAvailable;
    VOID    *pContext;

    /* internal data */
    DWORD   dwStartTime;
} MEDIUM_DIALOG_DATA, *PMEDIUM_DIALOG_DATA;

#ifdef __cplusplus
extern "C" {
#endif

INT_PTR CALLBACK MediumDialogProc(HWND hwndDlg, UINT uMsg,
  WPARAM wParam, LPARAM lParam);

#ifdef __cplusplus
}
#endif

#endif
